curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholder": {
"placeholderKey": "PLACEHOLDER_KEY",
"table": {
"columns": ["Product", "Quantity", "Unit Price", "Total"],
"rows": [
["Product 1", 2, 100, 200],
["Product 2", 1, 250, 250],
["Product 3", 4, 75, 333]
]
}
}
}
}'
{
"placeholder": {
"id": "1",
"createTime": "2025-10-31T09:27:46.000Z",
"changeTime": "2025-10-31T09:28:23.000Z",
"name": "PLACEHOLDER_NAME",
"value": "{\"columns\":[\"Product\",\"Quantity\",\"Unit Price\",\"Total\"],\"rows\":[[\"Product 1\",2,100,200],[\"Product 2\",1,250,250],[\"Product 3\",4,75,333]]}",
"isTable": true,
"type": "1",
"placeholderKey": "PLACEHOLDER_KEY",
"position": "1",
"fillingType": "1",
"externalRecipientKey": null
},
"code": 201,
"message": "Placeholder updated"
}
Placeholder
Table placeholder
Convert any existing placeholder into a dynamic table in a HTML contract.
POST
/
api
/
placeholder
curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholder": {
"placeholderKey": "PLACEHOLDER_KEY",
"table": {
"columns": ["Product", "Quantity", "Unit Price", "Total"],
"rows": [
["Product 1", 2, 100, 200],
["Product 2", 1, 250, 250],
["Product 3", 4, 75, 333]
]
}
}
}
}'
{
"placeholder": {
"id": "1",
"createTime": "2025-10-31T09:27:46.000Z",
"changeTime": "2025-10-31T09:28:23.000Z",
"name": "PLACEHOLDER_NAME",
"value": "{\"columns\":[\"Product\",\"Quantity\",\"Unit Price\",\"Total\"],\"rows\":[[\"Product 1\",2,100,200],[\"Product 2\",1,250,250],[\"Product 3\",4,75,333]]}",
"isTable": true,
"type": "1",
"placeholderKey": "PLACEHOLDER_KEY",
"position": "1",
"fillingType": "1",
"externalRecipientKey": null
},
"code": 201,
"message": "Placeholder updated"
}
First, add a placeholder to the HTML document to obtain a placeholder key. See this page to learn more.Documentation Index
Fetch the complete documentation index at: https://about.sendforsign.com/llms.txt
Use this file to discover all available pages before exploring further.
Body parameters
Show child attribute
Show child attribute
Action type.
Key of the client.
Key of the contract.
Structure, add the fields that need to be updated and ignore the rest.
Show child attribute
Show child attribute
Response
Placeholder structure.
Show child attribute
Show child attribute
Placeholder ID.
Creation time.
Change time.
Placeholder name.
JSON string containing table data with columns and rows.
Indicates if the placeholder is a table (true for table placeholders).
Placeholder type.
Placeholder key.
Position of the placeholder.
Filling type.
External recipient key (null if not set).
The code of the answer.
The message of the answer.
curl -X POST 'https://api.sendforsign.com/api/placeholder' \
-H 'X-Sendforsign-Key: YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"data": {
"action": "update",
"clientKey": "YOUR_CLIENT_KEY",
"contractKey": "CONTRACT_KEY",
"placeholder": {
"placeholderKey": "PLACEHOLDER_KEY",
"table": {
"columns": ["Product", "Quantity", "Unit Price", "Total"],
"rows": [
["Product 1", 2, 100, 200],
["Product 2", 1, 250, 250],
["Product 3", 4, 75, 333]
]
}
}
}
}'
{
"placeholder": {
"id": "1",
"createTime": "2025-10-31T09:27:46.000Z",
"changeTime": "2025-10-31T09:28:23.000Z",
"name": "PLACEHOLDER_NAME",
"value": "{\"columns\":[\"Product\",\"Quantity\",\"Unit Price\",\"Total\"],\"rows\":[[\"Product 1\",2,100,200],[\"Product 2\",1,250,250],[\"Product 3\",4,75,333]]}",
"isTable": true,
"type": "1",
"placeholderKey": "PLACEHOLDER_KEY",
"position": "1",
"fillingType": "1",
"externalRecipientKey": null
},
"code": 201,
"message": "Placeholder updated"
}
⌘I